/*   
 *  @Authors Francisco Rocha, Antonio Grilo, Paulo Pereira
 *
 *  @version 0.1
 */


#ifndef SENSEPRESSUREDTSN_H
#define SENSEPRESSUREDTSN_H

enum{
  KEEP_ALIVE_TIMER = 5000,
  ALARM_PKT_TIMER = 1000,
  CHECK_TIMER = 25,
  START_TIMER = 4000,
  PRESSURE_SENSOR = 0x80,
  PRESSURE_ALARM = 0x01,
  KEEP_ALIVE = 0xFF
};

typedef nx_struct SPDTSN{
  nx_uint8_t nodeid;
  nx_uint8_t msgType;
  nx_uint8_t sensorType;
} SensePressureDTSNMsg;

#endif
